Debian Bug report logs - #653602
Please provide a abook-like backend for Osmo

version graph

Package: osmo; Maintainer for osmo is Markus Koschany <apo@gambaru.de>; Source for osmo is src:osmo.

Reported by: yellow <yellowprotoss@gmail.com>

Date: Thu, 29 Dec 2011 18:48:01 UTC

Severity: wishlist

Found in version osmo/0.2.10+svn898-1

Fixed in version osmo/0.2.10+svn937-1

Done: Markus Koschany <apo@gambaru.de>

Bug is archived. No further changes may be made.

Forwarded to http://sourceforge.net/tracker/?func=detail&aid=3594778&group_id=206587&atid=998199

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Eike Nicklas <eike@ephys.de>:
Bug#653602; Package osmo. (Thu, 29 Dec 2011 18:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to yellow <yellowprotoss@gmail.com>:
New Bug report received and forwarded. Copy sent to Eike Nicklas <eike@ephys.de>. (Thu, 29 Dec 2011 18:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: yellow <yellowprotoss@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: wishlist: work with mutt, crontab, and a abook like backend for OSMO
Date: Thu, 29 Dec 2011 19:40:08 +0100
Package: osmo
Version: 0.2.10+svn898-1
Severity: wishlist


Dear Sir,

osmo rocks. It could be bit better if one could use it with the CLI like abook.

like 

$ osmo-backend --search peter john --email
and it would return his email

A full replacement for ABOOK would be so great and helfulpf to adopt it forever !

Thank  you creating OSMO !

Happy new year
Y.


-- System Information:
Debian Release: 6.0.3
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686-bigmem (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages osmo depends on:
ii  libc6              2.11.2-10             Embedded GNU C Library: Shared lib
ii  libcairo2          1.8.10-6              The Cairo 2D vector graphics libra
ii  libglib2.0-0       2.24.2-1              The GLib library of C routines
ii  libgringotts2      1.2.10~pre3-1         gringotts data encapsulation and e
ii  libgtk2.0-0        2.20.1-2              The GTK+ graphical user interface 
ii  libgtkspell0       2.0.16-1              a spell-checking addon for GTK's T
ii  libical0           0.44-3                iCalendar library implementation i
ii  libnotify1 [libnot 0.5.0-2               sends desktop notifications to a n
ii  libpango1.0-0      1.28.3-1+squeeze2     Layout and rendering of internatio
ii  libtar             1.2.11-6              C library for manipulating tar arc
ii  libwebkit-1.0-2    1.2.7-0+squeeze1      Web content engine library for Gtk
ii  libxml2            2.7.8.dfsg-2+squeeze1 GNOME XML library
ii  xdg-utils          1.0.2+cvs20100307-2   desktop integration utilities from

osmo recommends no packages.

osmo suggests no packages.

-- no debconf information




Changed Bug title to 'Please provide a abook-like backend for Osmo' from 'wishlist: work with mutt, crontab, and a abook like backend for OSMO' Request was from Markus Koschany <apo@gambaru.de> to control@bugs.debian.org. (Tue, 11 Dec 2012 13:45:10 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://sourceforge.net/tracker/?func=detail&aid=3594778&group_id=206587&atid=998199'. Request was from Markus Koschany <apo@gambaru.de> to control@bugs.debian.org. (Tue, 11 Dec 2012 13:45:10 GMT) Full text and rfc822 format available.

Reply sent to Markus Koschany <apo@gambaru.de>:
You have taken responsibility. (Fri, 27 Sep 2013 21:51:14 GMT) Full text and rfc822 format available.

Notification sent to yellow <yellowprotoss@gmail.com>:
Bug acknowledged by developer. (Fri, 27 Sep 2013 21:51:14 GMT) Full text and rfc822 format available.

Message #14 received at 653602-close@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: 653602-close@bugs.debian.org
Subject: Bug#653602: fixed in osmo 0.2.10+svn937-1
Date: Fri, 27 Sep 2013 21:49:31 +0000
Source: osmo
Source-Version: 0.2.10+svn937-1

We believe that the bug you reported is fixed in the latest version of
osmo, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 653602@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Markus Koschany <apo@gambaru.de> (supplier of updated osmo package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 24 Sep 2013 21:23:57 +0200
Source: osmo
Binary: osmo osmo-dbg
Architecture: source amd64
Version: 0.2.10+svn937-1
Distribution: unstable
Urgency: low
Maintainer: Markus Koschany <apo@gambaru.de>
Changed-By: Markus Koschany <apo@gambaru.de>
Description: 
 osmo       - personal organizer for GTK+
 osmo-dbg   - Debugging symbols for osmo
Closes: 653602 714907 717781
Changes: 
 osmo (0.2.10+svn937-1) unstable; urgency=low
 .
   * [8ab6da3] Imported Upstream version 0.2.10+svn937
     - Do not append -lm to LDFLAGS in debian/rules, instead update the build
       system to avoid a FTBFS on Debian derivatives like Ubuntu where
       -Wl,--as-needed is the default implementation. Thanks to Micah Gersten.
       (Closes: #717781)
     - Update the Brazilian translation. Thanks to Alexandro Casanova.
       (Closes: #714907)
     - Add a new mutt-query command for osmo which works similar to abook's
       backend. Search your contacts and print the email address in mutt.
       (Closes: #653602)
   * Update README.source.
   * Drop Add-keywords-to-osmo.desktop.patch. Merged upstream.
   * Add desktop.patch with a German translation string for the Comment field.
   * Add manpage.patch and document the new option --mutt-query.
   * Update watch file to use recommended URL.
Checksums-Sha1: 
 a350b2a568020aa66df2b0df4ea8f20ea1e2a057 2031 osmo_0.2.10+svn937-1.dsc
 deb67de9650a447dbc2ef3dbac4849d5a090ad6a 495924 osmo_0.2.10+svn937.orig.tar.xz
 8ffbd13a65183fccfa01aaee28ad92b85645f91a 9410 osmo_0.2.10+svn937-1.debian.tar.gz
 4ceaf3c54c8d5863fa514e5c8760d70cdfe03382 493970 osmo_0.2.10+svn937-1_amd64.deb
 fbbcb9f35aed34977ddb6c03fc71fffead1c2fba 1116768 osmo-dbg_0.2.10+svn937-1_amd64.deb
Checksums-Sha256: 
 4735290b2d81df834286c4daae99730f7fd14ec75770821c2db3414ed4fa0aaf 2031 osmo_0.2.10+svn937-1.dsc
 21da2493d96da99dee1e721f763639e1cdb6d994f0c4974f5d3ade34dba69c7b 495924 osmo_0.2.10+svn937.orig.tar.xz
 d39b243f26924e83f291570b18ca3d65d5638b1c87366cbd094b44ad99430e20 9410 osmo_0.2.10+svn937-1.debian.tar.gz
 0c49a6f7fcc52e9535e8bfeb7e12c3da4a64deb4e509a48564a27edb8af29e4e 493970 osmo_0.2.10+svn937-1_amd64.deb
 faa7e591294b40d5a1ae0e8e50a2dc49b06413d9bf48b28296c2869783f37d00 1116768 osmo-dbg_0.2.10+svn937-1_amd64.deb
Files: 
 f7b787aa6224000c7fe151e3d0b7c8c6 2031 x11 optional osmo_0.2.10+svn937-1.dsc
 60127a68441b304f0fcefc58561fda1d 495924 x11 optional osmo_0.2.10+svn937.orig.tar.xz
 a0baf6b690c76451cdaca3d9da733f19 9410 x11 optional osmo_0.2.10+svn937-1.debian.tar.gz
 a83ef22737772a8ea3f10229587a644a 493970 x11 optional osmo_0.2.10+svn937-1_amd64.deb
 67f1a0633f7ebb49a4908a2045caaac0 1116768 debug extra osmo-dbg_0.2.10+svn937-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQIcBAEBCAAGBQJSRfpTAAoJEHQmOzf1tfkTZwsQAImqLp0fLYRo96NhEc/i6Zbk
wudUNsjvrGZmXhoHNRhcdSxOeHk+IUwqpdNgc8TBa/mKPiLejjm6Av3Mms6HNj75
ZyNPr+evJoCNs8meUVktLVLTN3SOtEP34T6SHO3FfnV6CYn0czzV4DmWcWemTl5Z
DdxHcd4shWY8bF4MqGf4ZD2Vt/Bkzxs80BHUwNQKiKy4+ROT7fC45kalUneKINkr
sok9zdlxQFxdy1lQUkkF2lpw/03L1Hx936MwU//gvnE93oHOkrubwrrrzUU/6VqQ
QUUSa5kIxZ80wGLBvuKuz7HSbv0eu+o6lqS8aZcfEqe9Cq95HYK/YyrQbTDNvgKB
xiNEP8mYKNrcUnDxYt6QtxTjds5mjEWXWlwRd/Wkqny4uNfJV0ax1Sg3RZutev8D
Hvvjyjq+a6VjH8EkfeQU7plW5yYoexPdbkSybD7CrKzwx/6Ei0a2KYWcIFlVfTki
+Hro/I7+uFk1a130Oge8ndF09oLk/NT+/wyuL/aH3QPrKBZeB0qJogqQ19vPIs65
SSoSALTugPItusT2QARjwnXa+LvOHDlHE5KE2slRg5bi3lI7+CuQlObwh3pmJBgi
M5QSjCu/Ily7Jmxg16KgyfrEzIom0zfKDK2S+sNks5b7lBwk3kncbOshGGDPmVNC
ssZ+P7N2JtPkXlKycb2I
=D/oh
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 06 Nov 2013 07:25:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 23:35:10 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.